Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: CPG 1.6 (PHP7) Upgrade/Install Aid  (Read 322 times)

0 Members and 1 Guest are viewing this topic.

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 535
CPG 1.6 (PHP7) Upgrade/Install Aid
« on: March 31, 2017, 10:34:08 PM »

For currently running CPG 1.5.32+ installations, an assistive script to use for upgrading to the pre-release version of CPG 1.6 was made available here.

Attached to this post is a script that can be used to upgrade a CPG 1.5.32+ installation that has suddenly stopped working because of PHP changes (for example) at your site. Place the script file (as cpg_installer_stub.php) in the root of your CPG installation. Access the script as <your_coppermine_url>/cpg_installer_stub.php. Choose to upgrade your current installation.
Be very aware: you could be using a plugin or theme that is not compatible with CPG 1.6

This same script can also be used to create a new installation of CPG 1.6.   Make sure you have a database user and password already configured on your server.  Load the script to an appropriate place on your server (where you want the installation to be).  Access the script from a web browser and perform the installation.

Once installation is complete, it is advisable to remove this script.
« Last Edit: April 10, 2017, 07:45:49 PM by ron4mac »
Logged
Pages: [1]   Go Up
 

Page created in 0.084 seconds with 20 queries.